from http.server import BaseHTTPRequestHandler, HTTPServer
import requests
from datetime import datetime

serverPort = 8000

class Server(BaseHTTPRequestHandler):

    def do_GET(self):
        if self.path.endswith("/"):
            self.send_response(200)
            self.send_header("Content-type", "text/html")
            self.end_headers()
            self.wfile.write("200_OK".encode("utf-8"))


        if self.path.endswith("/info"):
            self.send_response(200)
            self.send_header("Content-type", "text/html")
            self.end_headers()
            self.wfile.write("Alexey Shumkov 703".encode("utf-8"))

        if self.path.endswith("status"):
            self.send_response(200)
            self.send_header("Content-type", "text/html")
            self.end_headers()
            get = requests.get('https://api.ipify.org/')

            html = f"<!doctype html><html><head><meta charset=utf-8><title>HTTP server</title></head><body>"\
                    f" Your ip address: {get.text}<br>"\
                    f"Time on server: {datetime.now()}"\
                    f"</body></html>"

            self.wfile.write(html.encode(encoding='utf-8'))


server = HTTPServer(("", serverPort), Server)
print(f"Server started at http://localhost:{serverPort}")
try:
    server.serve_forever()
except KeyboardInterrupt:
    server.server_close()
    print("Server stopped.")